GET/hoteldemanddata/{demandId}

Get Hotel Demand Data

View the Hotel Demand Shop status, after it's been scheduled.
GET/hoteldemanddata/{demandId}

Parameter Details

NameInTypeRequiredDescription
demandIdpathnumberRequiredUnique ID of the Demand Shop to retrieve status for.

Responses

StatusMeaningDescriptionSchema
200OKOKNone
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X GET /hoteldemanddata/{demandId} \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Example responses

200 Response
{
  "Absolute_Value.json": [
    {
      "HotelCode": 274581,
      "HotelName": "Taj Santacruz",
      "05/09/2024": 8473,
      "05/10/2024": 64734
    }
  ],
  "Events_registered.json": [
    {
      "HotelCode": 274581,
      "HotelName": "Taj Santacruz",
      "05/09/2024": 27,
      "05/10/2024": 74
    }
  ],
  "Event_records.json": [
    {
      "id": 20540722,
      "eventName": "Airsoft Gun India Shooting Experience Centre",
      "venue": "Hakone Entertainment Centre",
      "category": "Entertainment events",
      "city": "Mumbai",
      "date": "05/09/2024",
      "Estimated_Attendees": 480,
      "latitude": 19.1219824,
      "longitude": 72.9132549
    }
  ],
  "Relative_Values.json": [
    {
      "HotelCode": 274581,
      "HotelName": "Taj Santacruz",
      "05/09/2024": 2,
      "05/10/2024": 44
    }
  ]
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.